summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: ae26e7c)
raw | patch | inline | side by side (parent: ae26e7c)
author | Miklos Vajna <vmiklos@frugalware.org> | |
Wed, 3 Dec 2008 13:26:48 +0000 (14:26 +0100) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Wed, 3 Dec 2008 22:27:17 +0000 (14:27 -0800) |
Signed-off-by: Miklos Vajna <vmiklos@frugalware.org>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-filter-branch.sh | patch | blob | history |
diff --git a/git-filter-branch.sh b/git-filter-branch.sh
index 81392add0b852f51f63a470727c33e0c306260d8..c106f45af73446d26630030f77107efa520aa296 100755 (executable)
--- a/git-filter-branch.sh
+++ b/git-filter-branch.sh
*)
# The commit may not have the subdirectory at all
err=$(git read-tree -i -m $commit:"$filter_subdir" 2>&1) || {
- if ! git rev-parse --verify $commit:"$filter_subdir" 2>/dev/null
+ if ! git rev-parse -q --verify $commit:"$filter_subdir"
then
rm -f "$GIT_INDEX_FILE"
else